Subject: [bug#64142] Update arm-trusted-firmware to 2.9

From: Efraim Flashner <[email-masked]>
Date: Sun, 18 Jun 2023 09:59:44 +0300

On Sat, Jun 17, 2023 at 08:47:49PM -0700, Vagrant Cascadian wrote:
> The attached patch updates arm-trusted-firmware to 2.9.
> 
> I was able to rebuild all the dependent u-boot-* packages!
> 
> Unfortunately, arm-trusted-firmware-imx8mq no longer builds, ending with
> the error:
> 
>   aarch64-linux-gnu-ld.bfd: /tmp/guix-build-arm-trusted-firmware-imx8mq-2.9.drv-0/source/build/imx8mq/release/bl31/bl31.elf section `.xlat_table' will not fit in region `RAM'
>   aarch64-linux-gnu-ld.bfd: BL31 image has exceeded its limit.
>   aarch64-linux-gnu-ld.bfd: region `RAM' overflowed by 20480 bytes
> 
> Upstream has essentially abandoned this target due to tight size
> contraints for imx8mq, though there is a maintained vendor fork based
> off of some older version, so either we need to freeze this at 2.8 or
> use the vendor fork or maybe drop it entirely. I do not believe
> arm-trusted-firmware-imx8mq is used by any other guix packages...
> 
> ... thoughts?

I tried adjusting the flags to -Oz (not recognized) or -Os and it still
didn't fit. What device(s) use the imx8mq? Is that the chip in the
Librem 5?

I've added some people who might be interested in the chip. I suppose at
first glance I'd prefer using the vendor fork (assuming there's some
form of ongoing maintenance) over keeping the older version.

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted